<?php
namespace nur\v\bs3\fo;

use nur\b\params\Tparametrable;
use nur\v\v;

class ControlFixed extends ControlVisual {
  use Tparametrable;

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "label" => ["?content", null, "libellé"],
  ];

  /** @var array|string */
  protected $ppLabel;

  function getControl(): array {
    $control = v::p([
      "id" => $this->ppId,
      "class" => ["form-control-static", $this->ppClass],
      "style" => $this->ppStyle,
      $this->ppAttrs,
      q($this->ppValue),
    ]);
    if ($this->ppNaked) return $control;

    return $this->getFglcLayout(q($this->ppLabel), true, $control, null, null);
  }
}
